Bug 1271328 - Ability to define ImageStreams for external registries that require authentication
Summary: Ability to define ImageStreams for external registries that require authentic...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.0.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Michal Minar
QA Contact: weiwei jiang
URL:
Whiteboard:
Depends On:
Blocks: 1267746
TreeView+ depends on / blocked
 
Reported: 2015-10-13 16:16 UTC by Josep 'Pep' Turro Mauri
Modified: 2019-11-14 07:03 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1337330 (view as bug list)
Environment:
Last Closed: 2016-09-27 09:30:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1933 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.3 Release Advisory 2016-09-27 13:24:36 UTC
Red Hat Bugzilla 1280503 None None None Never

Internal Links: 1280503

Description Josep 'Pep' Turro Mauri 2015-10-13 16:16:42 UTC
Some environments need to access images that are stored in registries that require authentication.

Right now (OSE 3.0) ImageStreams do not work in that scenario.

I believe it's possible to define pod specs pointing directly at the needed images (i.e. not use an ImageStream) and provide pull secrets so they can be downloaded, this misses the benefits of ImageStreams.

This is a request to be able to define ImageStreams that access external registries that require authentication.

Comment 8 errata-xmlrpc 2016-09-27 09:30:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1933


Note You need to log in before you can comment on or make changes to this bug.